Raised This Month: $319 Target: $400
 79%   Almost there!

Entity Resources Replacement[ V 1.4 ]


Post New Thread Reply   
 
Thread Tools Display Modes
Ricky
Senior Member
Join Date: Jul 2005
Old 09-29-2017 , 15:20   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #241

Quote:
Originally Posted by Ricky View Post
Getting this compiling error with the latest dev versions and can't find any info on this native.

Code:
warning 233: symbol "socket_change" is marked as deprecated: Use socket_is_readable() instead
Bump.
Ricky is offline
HamletEagle
AMX Mod X Plugin Approver
Join Date: Sep 2013
Location: Romania
Old 09-29-2017 , 15:32   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #242

Quote:
Originally Posted by Ricky View Post
Bump.
Just ignore it.
__________________
HamletEagle is offline
Ricky
Senior Member
Join Date: Jul 2005
Old 09-29-2017 , 17:04   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #243

It won’t compile with this error. And compiled ones from older compilers doesn’t seem to work either. I tried to replace the native socket_change with socket_is_readable and it won’t compile not knowing how the variables work.
Ricky is offline
HamletEagle
AMX Mod X Plugin Approver
Join Date: Sep 2013
Location: Romania
Old 09-30-2017 , 07:36   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #244

Looking at the include file, simply renaming socket_change to socket_is_readable should do the trick.
__________________

Last edited by HamletEagle; 09-30-2017 at 07:36.
HamletEagle is offline
Ricky
Senior Member
Join Date: Jul 2005
Old 09-30-2017 , 09:17   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #245

Negative. Doesn’t compile by simply replacing the old native.
Ricky is offline
Arkshine
AMX Mod X Plugin Approver
Join Date: Oct 2005
Old 09-30-2017 , 12:19   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #246

The above is a warning, not an error. A warning doesn't stop a compilation unless you use the -E flag.

Why aren't you posting the compilation output?
__________________
Arkshine is offline
wickedd
Veteran Member
Join Date: Nov 2009
Old 09-30-2017 , 13:57   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #247

Quote:
Originally Posted by HamletEagle View Post
Looking at the include file, simply renaming socket_change to socket_is_readable should do the trick.
PHP Code:
if(socket_change(SocketVersionChecker, ._timeout 100000)) 

PHP Code:
if(socket_is_readable(SocketVersionChecker, ._timeout 100000)) 
I didn't get any warning when I changed the line ( 372 ) in the .sma.
Quote:
Originally Posted by Arkshine View Post
Why aren't you posting the compilation output?
Code:
//AMXXPC compile.exe
// by the AMX Mod X Dev Team


//// entities_resources_replacement.sma
//
// C:\Users\XXX\Downloads\scripting_5137\entities_resources_replacement.sma(37
2) : warning 233: symbol "socket_change" is marked as deprecated: Use socket_is_
readable() instead
//
// Header size:           2672 bytes
// Code size:            24156 bytes
// Data size:            62640 bytes
// Stack/heap size:      16384 bytes
// Total requirements:  105852 bytes
//
// 1 Warning.
// Done.
//
// Compilation Time: 1.17 sec
// ----------------------------------------

Press enter to exit ...
Edit: That's the warning I got when I tried to compile the plugin. Since the plugin didn't compile for Ricky I'm not sure he got the same warning.

Edit:2 I didn't get any warnings when I compiled it with version 5106
__________________
Just buy the fucking game!!!!
I hate No-Steamers and lazy ass people.

Last edited by wickedd; 09-30-2017 at 14:09.
wickedd is offline
Ricky
Senior Member
Join Date: Jul 2005
Old 09-30-2017 , 17:10   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #248

I am able to compile a fresh copy with the same error as the first post and the plugin works so far. When I changed to socket_is_readable, it gives me "invalid function or declaration" and "could not locate output file... (compile failed), and will not compile. When I edited it back to socket_change, I still get a compiling error, even though it is the same exact code as the original. The solution was a fresh copy. This is not the only plugin I have had this issue with compiling edited copies of certain plugins. Weird. Thanks for the responses. It would be nice to know why the simple change to socket_is_readable won't compile under git-5135.
Ricky is offline
wickedd
Veteran Member
Join Date: Nov 2009
Old 09-30-2017 , 17:32   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #249

Quote:
Originally Posted by Ricky View Post
It would be nice to know why the simple change to socket_is_readable won't compile under git-5135.
Just tried 5135 and it compiled for me without any warnings when I changed it to socket_is_readable.
__________________
Just buy the fucking game!!!!
I hate No-Steamers and lazy ass people.
wickedd is offline
Ricky
Senior Member
Join Date: Jul 2005
Old 09-30-2017 , 17:42   Re: Entity Resources Replacement[ V 1.4 ]
Reply With Quote #250

Ok. Maybe I have an old compiler or missing some inc files. Also going to update to the latest dev version and will see if I can find the source of the problem.
Ricky is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 01:22.


Powered by vBulletin®
Copyright ©2000 - 2021, vBulletin Solutions, Inc.
Theme made by Freecode